Avro C#

Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
Avro.Util.LogicalUnixEpochType< T > Class Template Reference

Base for all logical type implementations that are based on the Unix Epoch date/time. More...

Inheritance diagram for Avro.Util.LogicalUnixEpochType< T >:

## Public Member Functions
override Type | GetCSharpType (bool nullible)
| Retrieve the .NET type that is represented by the logical type implementation.
override bool | IsInstanceOfLogicalType (object logicalValue)
| Determines if a given object is an instance of the logical type.
Public Member Functions inherited from Avro.Util.LogicalType
virtual void | ValidateSchema (LogicalSchema schema)
| Applies logical type validation for a given logical schema. More...
abstract object | ConvertToBaseValue (object logicalValue, LogicalSchema schema)
| Converts a logical value to an instance of its base type. More...
abstract object | ConvertToLogicalValue (object baseValue, LogicalSchema schema)
| Converts a base value to an instance of the logical type. More...

## Protected Member Functions
| LogicalUnixEpochType (string name)
| Initializes the base logical type. More...
Protected Member Functions inherited from Avro.Util.LogicalType
| LogicalType (string name)
| Initializes the base logical type. More...

## Static Protected Attributes
static readonly DateTime | UnixEpochDateTime = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc)
| The date and time of the Unix Epoch. More...
const long | TicksPerMicrosecond = TimeSpan.TicksPerMillisecond / 1000
| Number of ticks per microsecond. More...

## Additional Inherited Members
Properties inherited from Avro.Util.LogicalType
string | Name`[get]`
| The logical type name. More...

## Detailed Description

Base for all logical type implementations that are based on the Unix Epoch date/time.

Type Constraints

  T | : | struct |

## Constructor & Destructor Documentation

## ◆ LogicalUnixEpochType()

Avro.Util.LogicalUnixEpochType< T >.LogicalUnixEpochType | ( | string | name | ) |
| inline protected

Initializes the base logical type.

Parameters

  name | The logical type name.

## Member Data Documentation

## ◆ TicksPerMicrosecond

const long Avro.Util.LogicalUnixEpochType< T >.TicksPerMicrosecond = TimeSpan.TicksPerMillisecond / 1000
| static protected

Number of ticks per microsecond.

## ◆ UnixEpochDateTime

readonly DateTime Avro.Util.LogicalUnixEpochType< T >.UnixEpochDateTime = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc)
| static protected

The date and time of the Unix Epoch.

The documentation for this class was generated from the following file:

- src/apache/main/Util/LogicalUnixEpochType.cs